package org.project.item.weapons;

import org.project.entity.Entity;

public class Dagger extends Weapon{
    private static int DEFAULT_DAMAGE = 20;
    private static int DEFAULT_MANACOST = 20;
    private static int DEFAULT_SPECIAL_MANA = 20;


    public Dagger() {
        super(DEFAULT_DAMAGE, DEFAULT_MANACOST, DEFAULT_SPECIAL_MANA);
    }

    @Override
    public void useSpecialAbility(Entity attacker, Entity target) {
        target.takeDamage(50);
        attacker.reduceMana(this.getManaCost() + 10);
    }
    @Override
    public String getType() {
        return "Dagger(Assassins)";
    }
    @Override
    public String getExplanation() {
        return "Melee piercing for Assassins.\n"+
                "Damage: "+ this.getDamage() +" Mana cost: " + this.getManaCost() +
                "\nSpecial ability: Inflicts 40 damage";
    }
}
